# Class CIM_CommMechanismForAdapter
extends CIM_Dependency

CommMechanismForAdapter is an association between an ObjectManager's communication mechanism and a ProtocolAdapter that supports that mechanism to translate requests and responses for the Object Manager.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_CommMechanismForAdapter

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Deprecated | string | CIM_CommMechanismForObjectManagerAdapter
Description | string | CommMechanismForAdapter is an association between an ObjectManager's communication mechanism and a ProtocolAdapter that supports that mechanism to translate requests and responses for the Object Manager.
UMLPackagePath | string | CIM::Interop
Version | string | 2.8.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_CommMechanismForAdapter | CIM_ProtocolAdapter
Dependent | CIM_CommMechanismForAdapter | CIM_ObjectManagerCommunicationMechanism

## Class Methods